Open CASCADE Technology: PDataStd_Relation Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PDataStd_Relation Class Reference

`#include <PDataStd_Relation.hxx>`

Inheritance diagram for PDataStd_Relation:
[legend]

## Public Member Functions
| PDataStd_Relation ()
| PDataStd_Relation (const Handle< PCollection_HExtendedString > &name)
Handle< PCollection_HExtendedString > | GetName () const
void | SetName (const Handle< PCollection_HExtendedString > &vars)
Handle< PDF_HAttributeArray1 > | GetVariables () const
void | SetVariables (const Handle< PDF_HAttributeArray1 > &vars)
| PDataStd_Relation (const Storage_stCONSTclCOM &a)
Handle< PCollection_HExtendedString > | _CSFDB_GetPDataStd_RelationmyName () const
void | _CSFDB_SetPDataStd_RelationmyName (const Handle< PCollection_HExtendedString > &p)
Handle< PDF_HAttributeArray1 > | _CSFDB_GetPDataStd_RelationmyVariables () const
void | _CSFDB_SetPDataStd_RelationmyVariables (const Handle< PDF_HAttributeArray1 > &p)
Public Member Functions inherited from PDF_Attribute
| PDF_Attribute (const Storage_stCONSTclCOM &a)
| PDF_Attribute ()
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PDataStd_Relation::PDataStd_Relation | ( |  | ) |

PDataStd_Relation::PDataStd_Relation | ( | const Handle< PCollection_HExtendedString > & | name | ) |

PDataStd_Relation::PDataStd_Relation | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

Handle< PCollection_HExtendedString > PDataStd_Relation::_CSFDB_GetPDataStd_RelationmyName | ( |  | ) | const
| inline

Handle< PDF_HAttributeArray1 > PDataStd_Relation::_CSFDB_GetPDataStd_RelationmyVariables | ( |  | ) | const
| inline

void PDataStd_Relation::_CSFDB_SetPDataStd_RelationmyName | ( | const Handle< PCollection_HExtendedString > & | p | ) |
| inline

void PDataStd_Relation::_CSFDB_SetPDataStd_RelationmyVariables | ( | const Handle< PDF_HAttributeArray1 > & | p | ) |
| inline

Handle< PCollection_HExtendedString > PDataStd_Relation::GetName | ( |  | ) | const

Handle< PDF_HAttributeArray1 > PDataStd_Relation::GetVariables | ( |  | ) | const

void PDataStd_Relation::SetName | ( | const Handle< PCollection_HExtendedString > & | vars | ) |

void PDataStd_Relation::SetVariables | ( | const Handle< PDF_HAttributeArray1 > & | vars | ) |

The documentation for this class was generated from the following file:

- PDataStd_Relation.hxx